Bug 184587 - /etc/cron.daily/certwatch not executable -> not executed by cron
/etc/cron.daily/certwatch not executable -> not executed by cron
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: crypto-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 19:19 EST by Milan Kerslager
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0728
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 11:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2006-03-09 19:19:52 EST
As /etc/cron.daily/certwatch is not executable anymore, the /usr/bin/run-parts
script does not run it.
Comment 1 Chris Stankaitis 2006-05-18 10:06:41 EDT
adding myself to the CC List... was going to bug list this if it hadn't already
been done.
Comment 2 Milan Kerslager 2006-05-19 04:12:08 EDT
This bug is still present in RHEL4, I checked it on my up-to-date system (see
/etc/crontab and /usr/bin/run-parts why the script is not run):

# ls -l /etc/cron.daily/certwatch
-rw-r--r--  1 root root 797 říj 19  2004 /etc/cron.daily/certwatch
[root@opteron ~]# rpm -qf /etc/cron.daily/certwatch
crypto-utils-2.1-4
[root@opteron ~]# rpm -V crypto-utils-2.1-4
[root@opteron ~]# rpm -qi crypto-utils-2.1-4
# LANG=C rpm -qi crypto-utils-2.1-4
Name        : crypto-utils                 Relocations: (not relocatable)
Version     : 2.1                               Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Tue Oct 19 12:18:02 2004
Install Date: Thu Mar 23 01:38:47 2006      Build Host: thor.perf.redhat.com
Group       : Applications/System           Source RPM: crypto-utils-2.1-4.src.rpm
Size        : 72586                            License: Various
Signature   : DSA/SHA1, Thu Jan  6 00:41:32 2005, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : SSL certificate and key management utilities
Description :
This package provides tools for managing and generating
SSL certificates and keys.
Comment 9 Red Hat Bugzilla 2007-07-18 11:14:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0728.html

Note You need to log in before you can comment on or make changes to this bug.